[package]
edition = "2021"
name = "ableos"
version = "0.1.1"
# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[profile.release]
panic = "abort"

[package.metadata.bootimage]
test-args = [
  "-device",
  "isa-debug-exit,iobase=0xf4,iosize=0x04",
  "-serial",
  "stdio",
]

[dependencies]
lazy_static = { version = "1.4.0", features = ["spin_no_std"] }
qrcode = { path = "../qrcode-rust" }
bitflags = "1.3"
lliw = "0.2.0"
spin = "0.9"
pretty-hex = "0.2.1"
unicode-width = "0.1.7"
picorand = "0.1.0"
watson = "0.4"
genfs = "0.1.0"
axel = { git = "https://git.ablecorp.us/able/aos_userland" }
versioning = { git = "https://git.ablecorp.us/able/aos_userland" }
# embedded-graphics = "*"
pc-keyboard = "0.5"
# mini-backtrace = "0.1"
clparse = { git = "https://git.ablecorp.us/able/core_utils", default-features = false }
seq-macro = "0.3"

[dependencies.linked_list_allocator]
version = "0.9.0"
features = ["use_spin_nightly"]
[dependencies.log]
version = "0.4.17"
default-features = false

[dependencies.logos]
version = "0.12"
default-features = false
features = ["export_derive"]

[dependencies.rdrand]
version = "0.8"
default-features = false

[dependencies.kernel]
path = "../kernel"

[dependencies.serde]
version = "1.0"
default-features = false
features = ["derive", "alloc"]

[dependencies.hashbrown]
version = "0.12"
default-features = false
features = ["inline-more"]

[dependencies.rkyv]
version = "0.7"
default-features = false
features = ["size_64", "alloc"]

# [dependencies.smoltcp]
# version = "0.8.0"
# default-features = false
# features = ["log", "proto-ipv4"]

[dependencies.y-compositor-protocol]
git = "https://git.ablecorp.us:443/able/y-compositor-protocol.git"

[dependencies.ext2]
path = "../ext2-rs"

[dependencies.toml]
git = "https://git.ablecorp.us:443/theoddgarlic/toml-rs"
# version = "0.5.8"
default-features = false

[dependencies.facepalm]
path = "../facepalm"

[dependencies.ab_glyph]
version = "*"
default-features = false
features = ["libm"]

[dependencies.wasmi]
default-features = false
features = ["core"]
version = "*"

[dependencies.libwasm]
git = "https://git.ablecorp.us:443/able/libwasm.git"
default-features = false

[dependencies.externc-libm]
git = "https://git.ablecorp.us:443/able/externc-libm.git"

[target.'cfg(target_arch = "riscv")'.dependencies]
riscv = "*"

[target.'cfg(target_arch = "x86_64")'.dependencies]
limine = "0.1"
cpuio = { git = "https://git.ablecorp.us/ondra05/cpuio.git" }
pic8259 = "0.10.1"
uart_16550 = "0.2.0"
volatile = "0.2.6"
x86_64 = "0.14.8"
pc-beeper = { git = "https://github.com/AbleOS/pc-beeper" }
acpi = "4.1.0"
vga = { git = "https://git.ablecorp.us:443/able/vga.git" }
# vga = { path = "../../vga" }
